### File

`packages/eui/packages/components-next/src/lib/components/atoms/eui-icon-color/eui-icon-color.component.ts`

### Extends

`BaseDirective`

### Metadata

selector | `eui-icon-colored, span[euiIconColored], [euiIconColored]`
template |
    <span [class]="iconClass">
        <span *ngFor="let pathNumber of paths" class="path{{pathNumber}}"></span>
    </span>

### Index

###### Properties
Public paths
###### Methods
getCssClasses
###### Inputs
iconClass
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

iconClass

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses()`
Returns : `any`

### Properties

Public paths
Type : `[]`
Default value : `[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20]`

# result-matching ""

# No results matching ""